:root {
    --musta: #000000;
	--valkoinen: #FFFFFF;
	--violetti: #58006B;
	--pinkki: #AF0081;
	--tummansininen: #1C0052;
    --rajoittaja: 1640px;
    --fonttikoko: 20px;
}
  
html,
body {
	margin: 0;
    font-size: var(--fonttikoko);
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
}

h1, h2, h3, h4, h5 {
    font-family: "cinema-script", sans-serif;
    font-weight: 400;
    font-style: normal;
    line-height: 1em;
    word-break: break-word;
    overflow-wrap: break-word;
}

.rajoittaja {
    width: var(--rajoittaja);
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
}

.rajoittaja_puolikas {
    width: calc(var(--rajoittaja) / 2);
    box-sizing: border-box;
}

header.ylapalkki {
    display: block;
    background: var(--pinkki);
    color: var(--valkoinen);
    min-height: 129px;
    box-sizing: border-box;
    padding: 33px 0 20px 0;
}

a {
    color: inherit;
    text-decoration: none;
    transition: 0.25s color;
}

section.hero {
    display: flex;
    background: url(images/header1.jpg);
    background-size: cover !important;
    background-position: center !important;
    padding: 50px 20px;
    color: var(--valkoinen);
    text-align: center;
    min-height: 1000px;
    min-height: calc(100vh - 129px);
    min-height: calc(var(--doc-height) - 129px);
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
    transition: 2.5s background;
}

.ylapalkki > .rajoittaja {
    display: flex;
    position: relative;
}

a.ylapalkki_logo {
    width: 191px;
    margin-right: 19px;
    position: absolute;
    top: 0;
    left: 0;
}

.ylapalkki_oikea {
    display: block;
    width: calc(100% - 200px);
    text-align: right;
}

nav.ylavalikko ul, nav.paavalikko ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
    justify-content: flex-end;
    flex-wrap: wrap;
    position: relative;
    z-index: 100;
}

nav.ylavalikko li, nav.paavalikko li {
    display: block;
    /* position: relative; */
}

nav.ylavalikko ul ul.sub-menu, nav.paavalikko ul ul.sub-menu {
    display: flex;
    position: absolute;
    top: 100%;
    justify-content: flex-start;
    left: 0;
    padding: 0;
    background: var(--pinkki);
    padding: 20px 20px 0 20px;
    right: -20px;
    transform: scaleY(0);
    transform-origin: top;
    z-index: 1;
    text-align: left;
    font-size: 0.9em;
}

nav.paavalikko.ladattu ul ul.sub-menu {
    transition: 0.25s opacity, 0.25s transform;
}

nav.ylavalikko li a {
    display: block;
    font-size: 1em;
    margin-left: 33px;
}

nav.ylavalikko {
    display: block;
    margin-bottom: 18px;
}

nav.paavalikko {
    font-size: 1.100em;
}

nav.paavalikko li a {
    font-weight: 700;
    text-transform: uppercase;
}

.ylavalikko_logo_wrapper {
    display: block;
    min-width: 200px;
    box-sizing: border-box;
    position: relative;
}

nav.ylavalikko li a:hover, nav.paavalikko li a:hover, nav.ylavalikko li:hover > a, nav.paavalikko li:hover > a {
    color: var(--violetti);
}

h1 {
    font-size: 6.500em;
    margin: 0;
}

select, input {
    display: block;
    font-size: 0.95em;
    border: 0;
    border-radius: 39px;
    color: #58006b;
    padding: 27px 80px 27px 27px;
    margin: 0;
    box-sizing: border-box;
    cursor: pointer;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
}

.loyda_luottotekijasi > form {
    display: flex;
    justify-content: space-between;
    max-width: 100%;
}

.loyda_luottotekijasi {
    display: block;
    margin-top: 69px;
}

select {
    -moz-appearance: none; /* Firefox */
    -webkit-appearance:none; /* Safari and Chrome */
    appearance:none;
    background-image: url(images/nuolialas_violetti.svg);
    background-size: 25px auto;
    background-position: right 30px center;
    background-repeat: no-repeat;
}

select.loyda_luottotekijasi_paikkakunta {
    width: 23.3%;
}

select.loyda_luottotekijasi_kategoria, select.loyda_luottotekijasi_palvelu {
    width: 30.9%;
}

.loyda_luottotekijasi input[type="submit"] {
    width: 11.6%;
    background: var(--pinkki);
    color: var(--valkoinen);
    transition: 0.25s background;
    padding: 27px;
    font-weight: bold;
}

.loyda_luottotekijasi input[type="submit"]:hover {
    background: var(--valkoinen);
    color: var(--violetti);
}

nav.paavalikko li.menu-item-has-children > a {
    padding-right: 32px;
    background: url(images/nuolialas_valkoinen.svg);
    background-size: 18px auto !important;
    background-position: center right !important;
    background-repeat: no-repeat !important;
    transition: 0.15s background;
}

nav.paavalikko li.menu-item-has-children:hover > a {
    background: url(images/nuolialas_violetti.svg);
}

.kuva_ja_tahti .rajoittaja {
    display: flex;
}

.kuva_ja_tahti_vasen, .kuva_ja_tahti_oikea {
    display: block;
    width: 50%;
    box-sizing: border-box;
    position: relative;
}

.kuva_ja_tahti_vasen {padding-right: 2em;padding-bottom: 8.5em;color: var(--violetti);}

main.kuva_ja_tahti {
    margin-top: 3em;
}

img {
    max-width: 100%;
    height: auto;
}

.kuva_ja_tahti_oikea > img {
    width: calc((100vw / 2) - 1.5em);
    max-width: 1100px;
    display: block;
    position: relative;
    z-index: 10;
}

h2 {
    font-size: 4em;
}

p.isompi {
    font-size: 1.5em;
    line-height: 1.5em;
}

p {
    font-size: 1em;
    line-height: 1.750em;
}

section.etusivu_kaksijako {
    margin-top: -3em;
    display: flex;
}

section.etusivu_kaksijako > div {
    display: flex;
    width: 50%;
    box-sizing: border-box;
    color: var(--valkoinen);
    padding-top: 6em;
    padding-bottom: 7.25em;
}

.kaksijako_vasen {
    justify-content: flex-end;
    background: var(--pinkki);
    /* padding-right: 7.25em; */
}

.kaksijako_oikea {
    background: var(--violetti);
}

section.etusivu_kaksijako > div > div > h2:first-child {
    margin-top: 0;
    margin-bottom: 0.8em;
}

.kaksijako_vasen > div {
    padding-right: 7.25em;
    box-sizing: border-box;
}

.kaksijako_oikea > div {
    padding-left: 7.250em;
}

.yksi_tahti {
    display: flex;
    align-items: center;
    font-size: 1.5em;
    width: 100%;
}

span.tahti_ikoni {
    display: block;
    width: 96px;
    text-align: center;
    line-height: 100px;
    background: url(images/tahti.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    color: var(--pinkki);
    padding-top: 7px;
    font-weight: 700;
    padding-left: 4px;
}

p.tahti_teksti {
    display: block;
    width: calc(100% - 100px);
    padding-left: 24px;
    box-sizing: border-box;
}

.etusivu_kaksijako .rajoittaja_puolikas > p {
    font-size: 1.1em;
}

.tahdet {
    display: block;
    margin-top: 3.5em;
}

section.suosituimmat_palvelut > .rajoittaja {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

section.suosituimmat_palvelut > .rajoittaja > h2 {
    display: block;
    width: 100%;
    text-align: center;
    color: var(--violetti);
    margin: 1.5em 0;
}

article.suosittu_palvelu {
    display: block;
    width: calc(100% / 5);
    text-align: center;
}

a.palvelu_otsikko h2 {
    font-size: 1.5em;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    color: var(--pinkki);
    margin-top: 2em;
    transition: 0.25s color;
}

article.suosittu_palvelu > a.palvelu_otsikko {
    margin: 0;
}

article.suosittu_palvelu > a {
    display: block;
    margin: 1.4em 0;
    color: var(--violetti);
}

.pinkki {
    background: var(--pinkki);
    color: var(--valkoinen);
}

section.lomakeosio {
    text-align: center;
    padding: 4.5em 0 6em 0;
}

section.lomakeosio h2:first-child {
    margin-top: 0;
}

.lomakeosio .rajoittaja > form {
    display: flex;
    justify-content: center;
    width: calc(100% - 350px);
    margin-left: auto;
    margin-right: auto;
}

section.suosituimmat_palvelut {
    display: block;
    margin-bottom: 7em;
}

.lomakeosio form > * {
    display: block;
    flex-grow: 1;
    margin: 0 0.5em;
    box-sizing: border-box;
}

.lomakeosio form > input[type="submit"] {
    flex-grow: 0;
    text-align: center;
    padding: 27px 47px;
    font-weight: 700;
    transition: 0.25s background, 0.25s color;
}

.lomakeosio.pinkki form > input[type="submit"] {
    background: var(--violetti);
    color: var(--valkoinen);
}

.violetti {
    background: var(--violetti);
    color: var(--valkoinen);
}

footer.alapalkki {
    background: var(--violetti);
    color: var(--valkoinen);
    padding-top: 0.5em;
}

article.lomake_sarake > h2 {
    margin-top: 0;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 1.1em;
    text-transform: uppercase;
}

article.lomake_sarake ul,
article.lomake_sarake p {
    margin: 2.2em 0 6em 0;
    padding: 0;
    font-size: 0.9em;
}

article.lomake_sarake ul {
    list-style: none;
}

article.lomake_sarake ul li {
    display: block;
    margin-bottom: 0.7em;
}

.lomake_rivi {
    display: flex;
    flex-wrap: wrap;
}

article.lomake_sarake {
    display: block;
    width: 20%;
    padding-right: 2em;
    box-sizing: border-box;
}

.alafooter {
    background: var(--valkoinen);
    text-align: center;
    color: var(--violetti);
    font-size: 0.95em;
    padding: 1.44em;
}

.alafooter p {
    margin: 0;
}

.alafooter a {
    color: var(--pinkki);
}

.alapalkki .alafooter a:hover {
    color: var(--tummansininen);
}

.alapalkki a:hover {
    color: var(--pinkki);
}

span.palvelut_otsikko_kuva {
    display: block;
    position: relative;
    height: 100px;
}

span.palvelut_otsikko_kuva::before,
span.palvelut_otsikko_kuva::after {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: '';
    background-size: auto 100% !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    transition: 0.25s opacity;
}

span.palvelut_otsikko_kuva::before {
    opacity: 1.0;
}

span.palvelut_otsikko_kuva::after {
    opacity: 0;
}

span.palvelut_otsikko_kuva.remontointi::before {
    background: url(images/palvelu_remontointi.svg);
}

span.palvelut_otsikko_kuva.remontointi::after {
    background: url(images/palvelu_remontointi_violetti.svg);
}

span.palvelut_otsikko_kuva.koti::before {
    background: url(images/palvelu_koti.svg);
}

span.palvelut_otsikko_kuva.koti::after {
    background: url(images/palvelu_koti_violetti.svg);
}

span.palvelut_otsikko_kuva.energiaratkaisut::before {
    background: url(images/palvelu_energiaratkaisut.svg);
}

span.palvelut_otsikko_kuva.energiaratkaisut::after {
    background: url(images/palvelu_energiaratkaisut_violetti.svg);
}

span.palvelut_otsikko_kuva.liiketoiminta::before {
    background: url(images/palvelu_liiketoiminta.svg);
}

span.palvelut_otsikko_kuva.liiketoiminta::after {
    background: url(images/palvelu_liiketoiminta_violetti.svg);
}

span.palvelut_otsikko_kuva.autot::before {
    background: url(images/palvelu_autot.svg);
}

span.palvelut_otsikko_kuva.autot::after {
    background: url(images/palvelu_autot_violetti.svg);
}

span.palvelut_otsikko_kuva img {
    display: block;
    margin: 0 auto;
    opacity: 1.0;
    transition: 0.25s opacity;
}

article.suosittu_palvelu > a.palvelu_otsikko:hover span.palvelut_otsikko_kuva::before {
    opacity: 0;
}

article.suosittu_palvelu > a.palvelu_otsikko:hover span.palvelut_otsikko_kuva::after {
    opacity: 1.0;
}

a.palvelu_otsikko:hover h2 {
    color: var(--violetti);
}

article.suosittu_palvelu > a:hover {
    color: var(--pinkki);
}

input[type="text"],
input[type="email"] {
    cursor: initial;
}

nav.paavalikko ul li:hover ul.sub-menu {
    transform: scaleY(1);
    transform-origin: top;
    transition: 0.35s transform;
}

nav.paavalikko li {
    margin-left: 37px;
}

nav.paavalikko ul li ul.sub-menu li {
    margin: 0;
    width: calc(100% / 4);
    padding: 0 20px 20px 0;
    display: block;
    box-sizing: border-box;
    word-break: break-word;
    overflow-wrap: break-word;
}

nav.paavalikko ul li:hover ul.sub-menu li a {
    width: 100%;
    display: block;
    font-weight: 400;
    text-transform: none;
}

.lomakeosio.pinkki form > input[type="submit"]:hover {background: var(--valkoinen);color: var(--pinkki);}

.mobile_nav_toggle {
    display: block;
    width: 29px;
    box-sizing: border-box;
    cursor: pointer;
    padding: 5px 0px;
    /* background: #000; */
}

.viiva1, .viiva2, .viiva3 {
    width: 29px;
    height: 5px;
    background-color: #FFF;
    margin: 6px 0;
    transition: 0.4s;
}

.avattu .viiva1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-8px, 7px);
}

.avattu .viiva2 {
    opacity: 0;
}

.avattu .viiva3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
}

a.fb,
a.ig,
a.li {
    display: flex;
    height: 24px;
    align-items: center;
    padding-left: 34px;
    background-size: 24px !important;
    background-position: left center !important;
    background-repeat: no-repeat !important;
    position: relative;
}

a.fb {
    background: url(images/fb.svg);
}

a.ig {
    background: url(images/ig.svg);
}

a.li {
    background: url(images/li.svg);
}

a.fb::before,
a.ig::before,
a.li::before {
    position: absolute;
    top: 0;
    left: 0;
    right: 24px;
    bottom: 0;
    background-color: #fff !important;
    background-size: 24px !important;
    background-repeat: no-repeat !important;
    content: '';
    display: block;
    width: 24px;
    opacity: 0;
    transition: 0.25s opacity;
}

a.fb:hover::before,
a.ig:hover::before,
a.li:hover::before {
    opacity: 1.0;
}

a.fb::before {
    background-image: url(images/fb_pinkki.svg);
}

a.ig::before {
    background-image: url(images/ig_pinkki.svg);
}

a.li::before {
    background-image: url(images/li_pinkki.svg);
}

section.hero.kuva1 {
    background: url(images/header2.jpg);
}

section.hero.kuva2 {
    background: url(images/header3.jpg);
}

nav.paavalikko {
    display: inline-block;
}

nav.paavalikko li:first-child {
    margin-left: 20px;
}

.kaksijako_oikea span.tahti_ikoni {
    color: var(--violetti);
}

@media screen and (max-width: 1700px) {
    body {
        font-size: 18px;
    }

    .rajoittaja {
        width: 100%;
        padding-left: 50px;
        padding-right: 50px;
    }

    .rajoittaja_puolikas {
        width: 100%;
        padding-left: 50px;
        padding-right: 50px;
    }
    
    .kaksijako_oikea > div {
        padding-left: 50px;
    }
}

@media screen and (max-width: 1500px) {
    body {
        font-size: 16px;
    }
}

@media screen and (max-width: 1400px) {
    body {
        font-size: 15px;
    }
}

@media screen and (max-width: 1200px) {
    nav.paavalikko li {
        margin-bottom: 15px;
    }

    header.ylapalkki {
        padding-bottom: 5px;
        padding-top: 17px;
    }

    .kuva_ja_tahti .rajoittaja {
        align-items: center;
    }

    section.etusivu_kaksijako {
        margin-top: 0;
    }

    main.kuva_ja_tahti {
        margin-top: 0;
    }

    .kuva_ja_tahti_oikea > img {
        width: 500px;
        margin: 0 auto;
        max-width: 100%;
    }

    .kuva_ja_tahti_vasen {
        width: 60%;
    }

    .kuva_ja_tahti_oikea {
        width: 40%;
    }

    span.tahti_ikoni {
        width: 70px;
    }

    .loyda_luottotekijasi input[type="submit"] {
        width: calc(100% - 3em);
        margin-top: 1em;
    }
    
    .loyda_luottotekijasi > form {
        flex-wrap: wrap;
        justify-content: center;
    }
    
    select.loyda_luottotekijasi_paikkakunta, select.loyda_luottotekijasi_kategoria, select.loyda_luottotekijasi_palvelu {
        margin: 1em;
    }
    
    article.suosittu_palvelu {
        width: calc(100% / 3);
        margin-bottom: 2em;
    }
    
    article.lomake_sarake {
        width: calc(100% / 3);
    }
}

@media screen and (min-width: 901px) {
    .mobile_nav_toggle {
        display: none !important;
    }
}

@media screen and (max-width: 900px) {
    a.ylapalkki_logo {
        width: 150px;
    }

    .loyda_luottotekijasi > form {
        display: block;
    }

    select.loyda_luottotekijasi_paikkakunta, select.loyda_luottotekijasi_kategoria, select.loyda_luottotekijasi_palvelu {
        width: 100%;
        margin: 1em 0;
    }

    .loyda_luottotekijasi input[type="submit"] {
        width: 100%;
    }

    .kuva_ja_tahti .rajoittaja {
        flex-direction: column-reverse;
    }

    .kuva_ja_tahti_vasen, .kuva_ja_tahti_oikea {
        width: 100%;
        padding: 0;
    }

    .rajoittaja {
        padding-left: 20px;
        padding-right: 20px;
    }

    main.kuva_ja_tahti {
        margin-top: 50px;
        margin-bottom: 30px;
    }

    section.etusivu_kaksijako {
        display: block;
    }

    section.etusivu_kaksijako > div {
        display: block;
        width: 100%;
    }

    article.suosittu_palvelu {
        width: 50%;
        padding: 0 10px;
        box-sizing: border-box;
    }

    .lomakeosio .rajoittaja > form {
        display: block;
        width: 100%;
    }

    .lomakeosio form > * {
        width: 100%;
        margin: 0 0 1em 0;
    }

    nav.ylavalikko ul, nav.paavalikko ul {
        display: block;
        text-align: right;
    }

    nav.ylavalikko li a {
        font-weight: 700;
        text-transform: uppercase;
    }

    nav.ylavalikko li, nav.paavalikko li {
        margin: 0 0 0.5em 0;
    }

    nav.ylavalikko {
        margin-bottom: 0;
    }

    nav.paavalikko, nav.ylavalikko {
        font-size: 1.2em;
    }

    nav.paavalikko li.menu-item-has-children > a {
        padding-right: 25px;
    }

    .ylapalkki_oikea {
        position: absolute;
        top: 50px;
        right: 0;
        width: auto;
        background: var(--pinkki);
        padding: 5px 20px 10px 20px;
        transform: scaleY(0);
        transform-origin: top;
        transition: 0.5s transform;
        z-index: 100;
    }
    
    nav.ylavalikko ul, nav.paavalikko ul {
        padding: 0;
    }
    
    article.lomake_sarake {
        width: 50%;
    }
    
    section.hero {
        padding: 200px 0px 75px 0;
        min-height: calc(100vh - 80px);
        min-height: calc(var(--doc-height) - 80px);
    }
    
    header.ylapalkki {
        min-height: 80px;
    }

    .ylapalkki > .rajoittaja {
        justify-content: space-between;
    }

    .avattu+.ylapalkki_oikea {
        transform: scaleY(1.0);
    }
    
    nav.ylavalikko ul ul.sub-menu, nav.paavalikko ul ul.sub-menu {
        display: none;
        position: initial;
        transform: initial;
        padding: 0;
        font-size: 0.85em;
        margin: 0 0 1em 0;
    }
    
    nav.paavalikko ul li ul.sub-menu li {
        margin: 0.75em 0;
        width: 100%;
        text-align: right;
        padding: 0;
    }

    h1 {
        font-size: 4em;
    }
    
    h2 {
        font-size: 3em;
    }
    
    .kaksijako_vasen > div {
        padding-right: 20px;
    }
    
    .rajoittaja_puolikas, .kaksijako_oikea > div {
        padding-left: 20px;
        padding-right: 20px;
    }
    
    section.etusivu_kaksijako > div {
        padding: 3em 0;
    }
    
    .tahdet {
        margin-top: 2em;
    }
}

@media screen and (max-width: 500px) {
    article.suosittu_palvelu {
        width: 100%;
    }
}

.violetti .loyda_luottotekijasi input[type="submit"]:hover {
    color: var(--violetti);
}

nav.paavalikko ul ul.sub-menu.auki {
    display: block;
}

section.hero::before {}

section.hero::before {
    content: 'asd';
    display: block;
    width: 1px;
    height: 1px;
    background: url('images/header2.jpg');
    position: absolute;
    left: 0;
    bottom: 0;
    opacity: 0.1;
}

section.hero::after {
    content: 'asd';
    display: block;
    width: 1px;
    height: 1px;
    background: url(images/header3.jpg);
    position: absolute;
    left: 0;
    bottom: 0;
    opacity: 0.1;
}